function WeaponFactoryTweakData:double_forbid( mod_one, mod_two ) 
    if self.parts[mod_one] and self.parts[mod_two] then
        self.parts[mod_one].forbids = self.parts[mod_one].forbids or {}
        table.insert(self.parts[mod_one].forbids, mod_two)
        self.parts[mod_two].forbids = self.parts[mod_two].forbids or {}
        table.insert(self.parts[mod_two].forbids, mod_one)
    end
end

Hooks:PostHook( WeaponFactoryTweakData, "init", "MAC10VariousModInit", function(self)
	
	-- rebalance mag size
	if not BeardLib.Utils:FindMod("RestorationMod") then
		self.parts.wpn_fps_smg_mac10_m_extended.stats.extra_ammo = 5
		self.parts.wpn_fps_smg_mac10_m_quick.stats.extra_ammo = 2
	end
	

	self.parts.wpn_fps_smg_mac10_ns_ghetto.forbids = { "wpn_fps_addon_ris" }
	self.parts.wpn_fps_smg_mac10_ns_ghetto.override = { 
		wpn_fps_upg_fl_ass_smg_sho_surefire = { a_obj = "a_fl_ghetto" },
		wpn_fps_upg_fl_ass_smg_sho_peqbox = { a_obj = "a_fl_ghetto" },
		wpn_fps_upg_fl_ass_laser = { a_obj = "a_fl_ghetto" },
		wpn_fps_upg_fl_ass_peq15 = { a_obj = "a_fl_ghetto" },
		wpn_fps_upg_fl_ass_utg = { a_obj = "a_fl_ghetto" }
	}
	
	self.parts.wpn_fps_smg_mac10_anim_suppgrip.requires = { "wpn_fps_upg_ns_ass_smg_large", "wpn_fps_smg_cobray_ns_silencer", "wpn_fps_smg_cobray_ns_barrelextension", "wpn_fps_smg_mac10_ns_ghetto" }
	self.parts.wpn_fps_smg_mac10_anim_suppgrip.override_weapon = {
		--[[ shepheard = best || ak47/m4 = similar to shepheard, but imo jumps too much || mp5 = reload transition jumps far more than ak47/m4 ]]
		use_stance = "mac10_suppgrip",
		weapon_hold = "shepheard" 
	}
	
	self.parts.wpn_fps_smg_mac10_vg_strap.override_weapon = {
		use_stance = "mac10_strap", --[[mac10_strap]]
		weapon_hold = "cobray",
		kick = {standing = {
			-0.6,
			0.6,
			-0.5,
			0.5
		}}
	}
	
	--vg and suppgrip arent compatible with each other
	self:double_forbid("wpn_fps_smg_mac10_vg_strap", "wpn_fps_smg_mac10_anim_suppgrip")
	
	
	--carl was here xd	
	self:double_forbid("wpn_fps_smg_mac10_vg_strap", "wpn_fps_smg_mac10_ns_blade")
--	self.parts.wpn_fps_smg_mac10_ns_blade.forbids = { "wpn_fps_smg_mac10_body_ris" }
	
	self.parts.wpn_fps_smg_mac10_ns_blade.override.wpn_fps_smg_mac10_body_ris = {
		unit = "units/mods/weapons/wpn_fps_smg_mac10_pts/wpn_fps_smg_mac10_body_ris_alt"
	}
	
	self.parts.wpn_fps_smg_mac10_body_modern.override = self.parts.wpn_fps_smg_mac10_body_modern.override or {}	
	self.parts.wpn_fps_smg_mac10_body_modern.override.wpn_fps_smg_mac10_ns_blade = {
		unit = "units/mods/weapons/wpn_fps_smg_mac10_pts/wpn_fps_smg_mac10_ns_blade_alter"
	}

end )